Bug 2029354 - [abrt] meld: on_file_changed(): meldwindow.py:308:on_file_changed:AttributeError: 'NewDiffTab' object has no attribute 'on_file_changed'
Summary: [abrt] meld: on_file_changed(): meldwindow.py:308:on_file_changed:AttributeEr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:981ac0e9eab2ba27a45f9e28e8e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-06 09:57 UTC by Lukáš Novotný
Modified: 2022-09-15 02:34 UTC (History)
5 users (show)

Fixed In Version: meld-3.22.0-1.fc37 meld-3.22.0-1.fc35 meld-3.22.0-1.fc36 meld-3.22.0-1.el9
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-14 00:19:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (698 bytes, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details
File: cpuinfo (2.35 KB, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details
File: environ (1.81 KB, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details
File: mountinfo (5.54 KB, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details
File: namespaces (172 bytes, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details
File: open_fds (3.77 KB, text/plain)
2021-12-06 09:57 UTC, Lukáš Novotný
no flags Details

Description Lukáš Novotný 2021-12-06 09:57:40 UTC
Description of problem:
1) Run application Meld.
2) Compare two *.txt files.
3) Change content one of the file.
4) Save change by the button on the top of the window.
5) ABRT display Error.

The error does not appear until the program is reopened and the changes in the file are saved.

Version-Release number of selected component:
meld-3.21.0-8.fc35

Additional info:
reporter:       libreport-2.15.2
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Meld-12798.scope
cmdline:        /usr/bin/python3 /usr/bin/meld
crash_function: on_file_changed
exception_type: AttributeError
executable:     /usr/bin/meld
interpreter:    python3-3.10.0-1.fc35.x86_64
kernel:         5.15.4-201.fc35.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
meldwindow.py:308:on_file_changed:AttributeError: 'NewDiffTab' object has no attribute 'on_file_changed'

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/meld/meldwindow.py", line 308, in on_file_changed
    page.on_file_changed(filename)
AttributeError: 'NewDiffTab' object has no attribute 'on_file_changed'

Local variables in innermost frame:
self: <meldwindow.MeldWindow object at 0x7f1f6319c600 (MeldWindow at 0x5565aad1c2c0)>
srcpage: <filediff.FileDiff object at 0x7f1f62f64680 (FileDiff at 0x5565abb19c80)>
filename: '/home/lukas/Stažené/Knihy/Václav-Vacek/Cyklus-C.txt'
page: <newdifftab.NewDiffTab object at 0x7f1f756f5000 (NewDiffTab at 0x5565aad18bf0)>

Potential duplicate: bug 1925993

Comment 1 Lukáš Novotný 2021-12-06 09:57:42 UTC
Created attachment 1844875 [details]
File: backtrace

Comment 2 Lukáš Novotný 2021-12-06 09:57:43 UTC
Created attachment 1844876 [details]
File: cpuinfo

Comment 3 Lukáš Novotný 2021-12-06 09:57:44 UTC
Created attachment 1844877 [details]
File: environ

Comment 4 Lukáš Novotný 2021-12-06 09:57:45 UTC
Created attachment 1844878 [details]
File: mountinfo

Comment 5 Lukáš Novotný 2021-12-06 09:57:46 UTC
Created attachment 1844879 [details]
File: namespaces

Comment 6 Lukáš Novotný 2021-12-06 09:57:47 UTC
Created attachment 1844880 [details]
File: open_fds

Comment 7 Fedora Update System 2022-09-06 10:10:08 UTC
FEDORA-2022-668c13f879 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

Comment 8 Fedora Update System 2022-09-06 10:10:09 UTC
FEDORA-EPEL-2022-5eac9c0230 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

Comment 9 Fedora Update System 2022-09-06 10:10:11 UTC
FEDORA-2022-33c8da6f15 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

Comment 10 Fedora Update System 2022-09-06 10:10:12 UTC
FEDORA-2022-63a2629ee0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

Comment 11 Fedora Update System 2022-09-06 20:29:57 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-33c8da6f15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-09-07 10:05:04 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-668c13f879`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-09-07 10:50:14 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-63a2629ee0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-09-07 11:11:39 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-09-14 00:19:27 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-09-15 01:28:36 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-09-15 01:53:31 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-09-15 02:34:29 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.